Loading...
Searching...
No Matches
Old DBI Functions

## Functions

*int | Qore::SQL::getDBIDriverCapabilities (string driver)
| Returns an integer representing the capabilities of a DBI driver binary-OR'ed together (see DBI Capability Constants) or NOTHING if the driver is not already loaded.
nothing | Qore::SQL::getDBIDriverCapabilities ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.
*list< string > | Qore::SQL::getDBIDriverCapabilityList (string driver)
| Returns a list of each capability supported by the given DBI driver (see DBI Capability Constants) or NOTHING if the driver cannot be found.
nothing | Qore::SQL::getDBIDriverCapabilityList ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.
*list< string > | Qore::SQL::getDBIDriverList ()
| Returns a list of strings of DBI drivers currently loaded or NOTHING if no drivers are loaded.
hash | Qore::SQL::parseDatasource (string ds)
| Returns a datasource hash of the components of a datasource string.
nothing | Qore::SQL::parseDatasource ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

## Detailed Description

Old DBI functions; see DBI Functions

## Function Documentation

## getDBIDriverCapabilities() [1/2]

nothing Qore::SQL::getDBIDriverCapabilities | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  NOOP, DEPRECATED

## getDBIDriverCapabilities() [2/2]

*int Qore::SQL::getDBIDriverCapabilities | ( | string | driver | ) |

Returns an integer representing the capabilities of a DBI driver binary-OR'ed together (see DBI Capability Constants) or NOTHING if the driver is not already loaded.

Code Flags:
  CONSTANT, DEPRECATED

Parameters

  driver | the name of the driver; if the given driver is not already loaded then this function returns NOTHING

Returns
  an integer representing the capabilities of a DBI driver binary-OR'ed together (see DBI Capability Constants) or NOTHING if the driver is not already loaded

Deprecated:
  use dbi_get_driver_capabilities() instead; camel-case function names were deprecated in Qore 0.8.12

## getDBIDriverCapabilityList() [1/2]

nothing Qore::SQL::getDBIDriverCapabilityList | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  NOOP, DEPRECATED

## getDBIDriverCapabilityList() [2/2]

*list< string > Qore::SQL::getDBIDriverCapabilityList | ( | string | driver | ) |

Returns a list of each capability supported by the given DBI driver (see DBI Capability Constants) or NOTHING if the driver cannot be found.

Code Flags:
  CONSTANT, DEPRECATED

Parameters

  driver | the name of the driver; if the given driver is not loaded then the function returns NOTHING

Returns
  a list of each capability supported by the given DBI driver (see DBI Capability Constants) or NOTHING if the driver cannot be found

Deprecated:
  use dbi_get_driver_capability_list() instead; camel-case function names were deprecated in Qore 0.8.12

## getDBIDriverList()

*list< string > Qore::SQL::getDBIDriverList | ( |  | ) |

Returns a list of strings of DBI drivers currently loaded or NOTHING if no drivers are loaded.

Code Flags:
  CONSTANT, DEPRECATED

Returns
  a list of strings of DBI drivers currently loaded or NOTHING if no drivers are loaded

Deprecated:
  use dbi_get_driver_list() instead; camel-case function names were deprecated in Qore 0.8.12

## parseDatasource() [1/2]

nothing Qore::SQL::parseDatasource | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  NOOP, DEPRECATED

## parseDatasource() [2/2]

hash Qore::SQL::parseDatasource | ( | string | ds | ) |

Returns a datasource hash of the components of a datasource string.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  ds | a string describing the datasource with the following syntax: `[`driver`:][`user`/`pass`]@`db`[(`charset`)][%`host`[:`port`][{`option`=`val`[,...]}]` where all elements except `@`db are optional

Returns
  a datasource hash of the components of a datasource string

Exceptions

  DATASOURCE-PARSE-ERROR | a syntax error occurred parsing the datasource string (missing field, unexpected character, etc)

Deprecated:
  use parse_datasource() instead; camel-case function names were deprecated in Qore 0.8.12